import worker from './worker.js';
export default function nodeVersionUse(versionExpression, command, args, options, callback) {
    callback = typeof options === 'function' ? options : callback;
    options = typeof options === 'function' ? {} : options || {};
    if (typeof callback === 'function') return worker(versionExpression, command, args, options, callback);
    return new Promise((resolve, reject)=>worker(versionExpression, command, args, options, (err, result)=>{
            err ? reject(err) : resolve(result);
        }));
}
